Bug 10418 - INTERNAL ERROR: Signal 11 in the kdc pid
INTERNAL ERROR: Signal 11 in the kdc pid
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.1.3
All All
: P2 critical
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-05 16:31 UTC by Peter Gerritsen
Modified: 2014-02-27 11:57 UTC (History)
2 users (show)

See Also:


Attachments
4.1 patch cherry-picked from master (5.26 KB, patch)
2014-02-06 20:29 UTC, Andrew Bartlett
abartlet: review? (jelmer)
metze: review+
Details
4.0 patch cherry-picked from master (5.26 KB, patch)
2014-02-06 20:30 UTC, Andrew Bartlett
abartlet: review? (jelmer)
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Gerritsen 2014-02-05 16:31:09 UTC
We are getting INTERNAL ERROR: Signal 11 in pid on multiple different servers (Debian Wheezy, using Samba 4.0.13 and 4.1.3, using kernel 3.2.0-4 and 3.11.6-2), the outcome is always the same. The group policies can no longer be applied to the clients until a Samba4 restart. The locations with these issues do have in common that they have multiple Samba4 DC's although i am not quite sure that's it related to that. Since when i disable the replication process in the smb.conf the problem does persist. I happens from 3 times a week to 4 times a day. The rest of Samba4 is still active and functioning when the KDC pid died. I have read of a similar issue but that should have been fixed in 4.0.13 and 4.1.3. The output in the logs is this (log level 9):

[2014/01/30 09:26:46.166933,  3, pid=21919] ../source4/auth/kerberos/krb5_init_context.c:80(smb_krb5_debug_wrapper)
  Kerberos: AS-REQ authtime: 2014-01-30T09:26:46 starttime: unset endtime: 2014-01-30T19:26:46 renew till: 2014-02-06T09:26:46
[2014/01/30 09:26:46.167084,  3, pid=21919] ../source4/auth/kerberos/krb5_init_context.c:80(smb_krb5_debug_wrapper)
  Kerberos: Client supported enctypes: aes256-cts-hmac-sha1-96, aes128-cts-hmac-sha1-96, arcfour-hmac-md5, 24, -135, des-cbc-md5, using arcfour-hmac-md5/arcfour-hmac-md5
[2014/01/30 09:26:46.167134,  3, pid=21919] ../source4/auth/kerberos/krb5_init_context.c:80(smb_krb5_debug_wrapper)
  Kerberos: Requested flags: renewable-ok, renewable, forwardable
[2014/01/30 09:26:46.167666,  3, pid=21919] ../source4/smbd/service_stream.c:66(stream_terminate_connection)
  Terminating connection - 'kdc_tcp_call_loop: tstream_read_pdu_blob_recv() - NT_STATUS_CONNECTION_DISCONNECTED'
[2014/01/30 09:26:46.167774,  5, pid=21919] ../source4/lib/messaging/messaging.c:554(imessaging_cleanup)
  imessaging: cleaning up /var/lib/samba/private/smbd.tmp/msg/msg.21919.28
[2014/01/30 09:26:46.167869,  3, pid=21919] ../source4/smbd/process_single.c:114(single_terminate)
  single_terminate: reason[kdc_tcp_call_loop: tstream_read_pdu_blob_recv() - NT_STATUS_CONNECTION_DISCONNECTED]
[2014/01/30 09:26:46.168309,  5, pid=21919] ../auth/gensec/gensec_start.c:649(gensec_start_mech)
  Starting GENSEC mechanism krb5
[2014/01/30 09:26:46.168432,  0, pid=21919] ../lib/util/fault.c:72(fault_report)
  ===============================================================
[2014/01/30 09:26:46.168549,  0, pid=21919] ../lib/util/fault.c:73(fault_report)
  INTERNAL ERROR: Signal 11 in pid 21919 (4.1.3-Debian)
  Please read the Trouble-Shooting section of the Samba HOWTO
[2014/01/30 09:26:46.168701,  0, pid=21919] ../lib/util/fault.c:75(fault_report)
  ===============================================================
[2014/01/30 09:26:46.168782,  0, pid=21919] ../lib/util/fault.c:144(smb_panic_default)
  PANIC: internal error
[2014/01/30 09:26:46.172888,  5, pid=21918] ../source4/cldap_server/netlogon.c:458(cldapd_netlogon_request)
  cldap netlogon query domain=mulock.andolan. host=ml000-046 user=(null) version=536870934 guid=c3a33e10-b698-4274-b064-946de1020175
[2014/01/30 09:26:46.174249,  4, pid=21918] ../source4/lib/socket/interface.c:121(add_interface)
  added interface eth0 ip=172.17.0.254 bcast=172.255.255.255 netmask=255.0.0.0
[2014/01/30 09:26:47.073971,  4, pid=21920] ../source4/dsdb/repl/drepl_notify.c:463(dreplsrv_notify_schedule)
  dreplsrv_notify_schedule(5) scheduled for: Thu Jan 30 09:26:52 2014 CET
[2014/01/30 09:26:47.121202,  5, pid=21992] ../lib/util/util.c:556(dump_data)
  [0000] EF 64 FF 25 58 6E 41 0C                            .d.%XnA.
[2014/01/30 09:26:47.121335,  5, pid=21992] ../source4/smb_server/smb/receive.c:500(switch_message)
  switch message SMBtrans (task_id 21992)

I can't find anything relevant in this. I can change to log level to even higher when needed since it happens quite often. Also hardware used is different at every customer site from HP DL380G7 Performance machines to simple machines using a Gigabyte GA-970 mainbord with an AMD FX-8230 cpu.
Comment 1 Andrew Bartlett 2014-02-06 19:09:23 UTC
This smells like http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=732342 and http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=732344

If you Samba rebuild from our source, does it still happen?

Where did you obtain your Debian packages from?
Comment 2 Andrew Bartlett 2014-02-06 20:29:18 UTC
Created attachment 9647 [details]
4.1 patch cherry-picked from master

Patch from master, so the eventually this patch need not be carried in debian.
Comment 3 Andrew Bartlett 2014-02-06 20:30:26 UTC
Created attachment 9648 [details]
4.0 patch cherry-picked from master
Comment 4 Peter Gerritsen 2014-02-06 20:55:24 UTC
Hi Andrew,

Yup was using default debian version from jelmer sadly hadn't seen the debian bug report. So this has already been resolved? I'll update to 4.1.4 at these customer sites to check! Do still have the other issue in bug 10419 which is unrelated but is also a very serious issue to me maybe you could look in to that. Thnx a bunch!

Verzonden vanaf mijn Sony Xperia™-smartphone


---- samba-bugs@samba.orgschreef ----

https://bugzilla.samba.org/show_bug.cgi?id=10418

--- Comment #1 from Andrew Bartlett <abartlet@samba.org> 2014-02-06 19:09:23 UTC ---
This smells like http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=732342 and
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=732344

If you Samba rebuild from our source, does it still happen?

Where did you obtain your Debian packages from?

--
Configure bugmail: https://bugzilla.samba.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.
You reported the bug.
Comment 5 Karolin Seeger 2014-02-14 19:07:46 UTC
Pushed to autobuild-v4-1-test and autobuild-v4-0-test.
Comment 6 Karolin Seeger 2014-02-16 16:10:41 UTC
Pushed to v4-1-test and v4-0-test.
Closing out bug report.
Thanks!